gi-gdkx11-3.0.16: GdkX11 bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.GdkX11.Objects.X11AppLaunchContext

Contents

- Exported types
- Methods

Description

No description available in the introspection data.

Synopsis

- newtype X11AppLaunchContext = X11AppLaunchContext (ManagedPtr X11AppLaunchContext)
- class (GObject o, IsDescendantOf X11AppLaunchContext o) => IsX11AppLaunchContext o
- toX11AppLaunchContext :: (MonadIO m, IsX11AppLaunchContext o) => o -> m X11AppLaunchContext

# Exported types

newtype X11AppLaunchContext Source #

Memory-managed wrapper type.

Constructors

X11AppLaunchContext (ManagedPtr X11AppLaunchContext) |

#### Instances

Instances details

Eq X11AppLaunchContext Source # |
Instance details Defined in GI.GdkX11.Objects.X11AppLaunchContext Methods (==) :: X11AppLaunchContext -> X11AppLaunchContext -> Bool Source # (/=) :: X11AppLaunchContext -> X11AppLaunchContext -> Bool Source #
GObject X11AppLaunchContext Source # |
Instance details Defined in GI.GdkX11.Objects.X11AppLaunchContext
ManagedPtrNewtype X11AppLaunchContext Source # |
Instance details Defined in GI.GdkX11.Objects.X11AppLaunchContext Methods toManagedPtr :: X11AppLaunchContext -> ManagedPtr X11AppLaunchContext Source #
TypedObject X11AppLaunchContext Source # |
Instance details Defined in GI.GdkX11.Objects.X11AppLaunchContext Methods glibType :: IO GType Source #
HasParentTypes X11AppLaunchContext Source # |
Instance details Defined in GI.GdkX11.Objects.X11AppLaunchContext
IsGValue (Maybe X11AppLaunchContext) Source # | Convert `X11AppLaunchContext` to and from `GValue`. See `toGValue` and `fromGValue`.
Instance details Defined in GI.GdkX11.Objects.X11AppLaunchContext Methods gvalueGType_ :: IO GType Source # gvalueSet_ :: Ptr GValue -> Maybe X11AppLaunchContext -> IO () Source # gvalueGet_ :: Ptr GValue -> IO (Maybe X11AppLaunchContext) Source #
type ParentTypes X11AppLaunchContext Source # |
Instance details Defined in GI.GdkX11.Objects.X11AppLaunchContext type ParentTypes X11AppLaunchContext = '[AppLaunchContext, AppLaunchContext, Object]

class (GObject o, IsDescendantOf X11AppLaunchContext o) => IsX11AppLaunchContext o Source #

Type class for types which can be safely cast to `X11AppLaunchContext`, for instance with `toX11AppLaunchContext`.

#### Instances

Instances details

(GObject o, IsDescendantOf X11AppLaunchContext o) => IsX11AppLaunchContext o Source # |
Instance details Defined in GI.GdkX11.Objects.X11AppLaunchContext

toX11AppLaunchContext :: (MonadIO m, IsX11AppLaunchContext o) => o -> m X11AppLaunchContext Source #

Cast to `X11AppLaunchContext`, for types for which this is known to be safe. For general casts, use `castTo`.

# Methods

### Click to display all available methods, including inherited ones

Expand

#### Methods

bindProperty, bindPropertyFull, forceFloating, freezeNotify, getv, isFloating, launchFailed, notify, notifyByPspec, ref, refSink, runDispose, setenv, stealData, stealQdata, thawNotify, unref, unsetenv, watchClosure.

#### Getters

getData, getDisplay, getEnvironment, getProperty, getQdata, getStartupNotifyId.

#### Setters

setData, setDataFull, setDesktop, setDisplay, setIcon, setIconName, setProperty, setScreen, setTimestamp.